valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
32 lines (31 loc) • 1.07 kB
TypeScript
import { z } from 'zod';
export declare const penaltiesEndpoint: {
readonly name: "Penalties";
readonly description: "Get the matchmaking penalties for the given player";
readonly queryName: "Restrictions_FetchPlayerRestrictionsV3";
readonly category: "PVP Endpoints";
readonly type: "pd";
readonly suffix: "restrictions/v3/penalties";
readonly riotRequirements: {
readonly token: true;
readonly entitlement: true;
readonly clientPlatform: true;
readonly clientVersion: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
Subject: z.ZodString;
Penalties: z.ZodArray<z.ZodUnknown, "many">;
Version: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
Subject: string;
Version: number;
Penalties: unknown[];
}, {
Subject: string;
Version: number;
Penalties: unknown[];
}>;
};
};
export type PenaltiesResponse = z.input<typeof penaltiesEndpoint.responses['200']>;